Index: extensions/Flash_Gallery/include/class.inc.php
===================================================================
--- extensions/Flash_Gallery/include/class.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/include/class.inc.php	(revision 3599)
@@ -254,10 +254,27 @@
 
     if (isset($modulename))
+	{
 		$dir = FLASHGAL_PATH . 'modules/'.$modulename .'/';
+		return $dir.$file;
+	}
 	else
+	{
 		$dir = FLASHGAL_PATH . 'template/';
-
+		$theme_file = $dir.$user['template'].'/'.$user['theme'].'/'.$file;
+		$template_file = $dir.$user['template'].'/'.$file;
+	    if (file_exists($theme_file))
+	    {
+	      return $theme_file;
+	    }
+	    elseif (file_exists($template_file))
+	    {
+	      return $template_file;
+	    }
+	    else
+		{
+			return $dir.$file;
+		}
+	}
 //			echo "dir=".$dir.$file;
-    return $dir.$file;
   }
 }
Index: extensions/Flash_Gallery/modules/3DFlip/3DFlip.tpl
===================================================================
--- extensions/Flash_Gallery/modules/3DFlip/3DFlip.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/3DFlip/3DFlip.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="Caroussel_block">
+<div class="3DFlip_block">
 	<object width="100%" height="{$block.HEIGHT}"
 	  type="application/x-shockwave-flash"
Index: extensions/Flash_Gallery/modules/3DFlip/admin/config.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/3DFlip/admin/config.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/3DFlip/admin/config.inc.php	(revision 3599)
@@ -97,5 +97,5 @@
 {
 
-	if ($key == "fullscreen")
+	if ($key == "fullscreen" or $key == "vertical")
 		$template->assign(array( '3DFlip_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
 		
Index: extensions/Flash_Gallery/modules/3DFlip/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/3DFlip/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/3DFlip/main.inc.php	(revision 3599)
@@ -6,8 +6,4 @@
 	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
 
-$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'modules/TiltViewer/js');
-$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
-
-
 $module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
 
Index: extensions/Flash_Gallery/modules/ArtGallery/ArtGallery.tpl
===================================================================
--- extensions/Flash_Gallery/modules/ArtGallery/ArtGallery.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/ArtGallery/ArtGallery.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="ZenGallery_block">
+<div class="ArtGallery_block">
 	<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" width="100%" height="{$block.HEIGHT}" id="gal" align="middle">
 	<param name="allowScriptAccess" value="sameDomain" />
@@ -6,6 +6,6 @@
 	<param name="quality" value="high" />
 	<param name="bgcolor" value="{$block.BGCOLOR}" />	
-	{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
-	<PARAM NAME="allowFullScreen" VALUE="{$block.FULLSCREEN}"> 
+	{if $block.TRANSPARENT}   <param name="wmode" value="transparent">  {/if}
+	<param name="allowFullScreen" value="{$block.FULLSCREEN}"> 
 	<embed {if $block.TRANSPARENT}   wmode="transparent"  {/if}  src="{$block.FLASHNAME}" quality="high" bgcolor="{$block.BGCOLOR}" width="100%" height="{$block.HEIGHT}" name="gal" flashvars="{$block.FLASHVARXML}={$block.XMLFEED}" align="middle" allowScriptAccess="sameDomain" allowFullScreen="{$block.FULLSCREEN}" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
 	</object>
Index: extensions/Flash_Gallery/modules/ArtGallery/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/ArtGallery/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/ArtGallery/main.inc.php	(revision 3599)
@@ -5,7 +5,4 @@
 if (!url_is_remote($block['FLASHNAME']))
 	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
-
-$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'modules/TiltViewer/js');
-$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
 
 
Index: extensions/Flash_Gallery/modules/BananAlbum/BananAlbum.tpl
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/BananAlbum.tpl	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/BananAlbum.tpl	(revision 3599)
@@ -0,0 +1,15 @@
+<div class="IMGallery_block">
+
+	<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,18,0" width="100%" height="{$block.HEIGHT}" id="gallery" align="middle" >
+		<param name="allowScriptAccess" value="sameDomain" />
+		<param name="allowFullScreen" value="{$block.FULLSCREEN}" />
+		<param name="FlashVars" value="{$block.FLASHVARXML}={$block.XMLFEED}" />
+		<param name="movie" value="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" />
+		<param name="quality" value="high" />
+		<param name="scale" value="noscale" />
+		<param name="bgcolor" value="{$block.BGCOLOR}" />
+		{if $block.TRANSPARENT}   <param name="wmode" value="transparent">  {/if}
+		<embed {if $block.TRANSPARENT}   wmode="transparent"  {/if} src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" FlashVars="{$block.FLASHVARXML}={$block.XMLFEED}" quality="high" allowFullScreen="{$block.FULLSCREEN}" scale="noscale" bgcolor="{$block.BGCOLOR}" width="100%" height="{$block.HEIGHT}" name="imgallery" align="middle" allowScriptAccess="sameDomain" type= "application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
+	</object>
+
+</div>
Index: extensions/Flash_Gallery/modules/BananAlbum/admin/config.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/admin/config.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/admin/config.inc.php	(revision 3599)
@@ -0,0 +1,12 @@
+<?php
+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+// default values
+if (!isset($ext_datas)) $ext_datas = array();
+
+$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
+$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/admin/config.tpl
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/admin/config.tpl	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/admin/config.tpl	(revision 3599)
@@ -0,0 +1,3 @@
+<div style="text-align:center;">
+<br>{'flashgal_no_options'|@translate}
+</div>
Index: extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/index.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/index.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/index.php	(revision 3599)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/module.lang.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/module.lang.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/language/fr_FR/module.lang.php	(revision 3599)
@@ -0,0 +1,15 @@
+<?php
+
+
+//------------------------------------------------------------------------------
+//							Module language
+//------------------------------------------------------------------------------
+
+$lang['module_name_BananAlbum'] = 'Galerie BananAlbum';
+$lang['module_desc_BananAlbum'] = 'Affiche la galerie avec <a href="www.BananAlbum.com" target="_blank" class="screenshot" rel="%s" Title="BananAlbum">BananAlbum</a>';
+
+$lang['BananAlbum_options_label'] 	= 'Options du module Invent Media PhotoGallery';
+
+
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/main.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/main.inc.php	(revision 3599)
@@ -0,0 +1,10 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+$module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
+
+
+
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/module.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/module.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/module.inc.php	(revision 3599)
@@ -0,0 +1,21 @@
+<?php
+// Fichier contenant les parametres du module
+$module_data = array();
+
+// Parametres generaux du module : nom et parametre du fichier xml
+$module_data['FlashName'] = "BananAlbum.swf";
+$module_data['FlashvarXML'] = "xmlfile";
+
+// Parametre d'affichage des donnees (les donnees peuvent etre utilisees dans le fichier imageNode.xml.php)
+
+$module_data['datas'] = array();
+$module_data['datas']['img_id'] = false;
+$module_data['datas']['img_name'] = "%I2";
+$module_data['datas']['img_description'] = "%I3";
+$module_data['datas']['img_URLThumb'] = "%I5";
+$module_data['datas']['img_URLNormal'] = "%I6";
+$module_data['datas']['img_URLHigh'] = false;
+$module_data['datas']['img_URLPicturephp'] = false;
+
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/after_imageNode.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/after_imageNode.xml.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/after_imageNode.xml.php	(revision 3599)
@@ -0,0 +1,3 @@
+<?php
+?>				
+	
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/before_footer.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/before_footer.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/before_footer.inc.php	(revision 3599)
@@ -0,0 +1,6 @@
+<?php
+// File to personalize datas for the header xml (ex. color...)
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/before_header.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/before_header.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/before_header.inc.php	(revision 3599)
@@ -0,0 +1,8 @@
+<?php
+// File to personalize datas for the header xml (ex. color...)
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+
+
+
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/before_imageNode.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/before_imageNode.xml.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/before_imageNode.xml.php	(revision 3599)
@@ -0,0 +1,4 @@
+<?php
+
+?>				
+	
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/footer.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/footer.xml.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/footer.xml.php	(revision 3599)
@@ -0,0 +1,3 @@
+<?php
+echo '</BananAlbum>';
+?>
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/header.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/header.xml.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/header.xml.php	(revision 3599)
@@ -0,0 +1,31 @@
+<?php
+echo '<?xml version="1.0"?>
+<BananAlbum Generator="Piwigo Flash Gallery" BananAlbum="v5.1">
+
+<label><![CDATA[<TOTO>]]></label>
+
+<bgcolor>#111111</bgcolor>
+<linecolor>#ffffff</linecolor>
+<imgcolor transparency="100">#000000</imgcolor>
+<txtcolor>#ffffff</txtcolor>
+<labels typeface="">true</labels>
+
+<thumbs width="62" height="62" crop="false" margin="20" spacing="3" hide="false" automove="true" center="false">true</thumbs>
+<images  x="" y="" w="" h="" outline="true" autoscale="true" fade="false" preload="true"/>
+<transition fade="true">default</transition>
+<comments x="" y="" w="" h="" typeface="" external="false">true</comments>
+<download NOlink="download.php?image=[image]">false</download>
+<supersize>false</supersize>
+
+<margin>16</margin>
+<bg tile="true">TITLE BG</bg>
+<bananatree bg="true" transparency="100" active="#ff0000" prefix="[" suffix="]" collapse="true" y="">true</bananatree>
+<slideshow interval="4" x="" y="" big="false" autostart="true">true</slideshow>
+<donut line="" fill="" transparency=""/>
+
+
+';
+?>
+
+
+
Index: extensions/Flash_Gallery/modules/BananAlbum/xml/imageNode.xml.php
===================================================================
--- extensions/Flash_Gallery/modules/BananAlbum/xml/imageNode.xml.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/BananAlbum/xml/imageNode.xml.php	(revision 3599)
@@ -0,0 +1,12 @@
+<?php
+echo '
+	<slide>
+		<label>'.$picture['img_name'].'</label>
+		<comment>'.$picture['img_description'].'</comment>
+		<image width="'.($row['IMGWIDTH'] ? $row['IMGWIDTH'] : "0").'" height="'.($row['IMGHEIGHT'] ? $row['IMGHEIGHT'] : "0").'">'.$picture['img_URLNormal'].'</image>
+		<thumb width="'.($row['IMGWIDTH'] ? $row['IMGWIDTH'] : "0").'" height="'.($row['IMGHEIGHT'] ? $row['IMGHEIGHT'] : "0").'">'.$picture['img_URLThumb'].'</thumb>
+	</slide>
+';
+
+?>				
+	
Index: extensions/Flash_Gallery/modules/Carousel/Carousel.tpl
===================================================================
--- extensions/Flash_Gallery/modules/Carousel/Carousel.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/Carousel/Carousel.tpl	(revision 3599)
@@ -7,6 +7,6 @@
 	  <param name="flashvars" value="{$block.FLASHVARXML}={$block.XMLFEED}" />
 	  <param name="allowScriptAccess" value="sameDomain" />
-	  {if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
-	  <param name="allowFullScreen" VALUE="{$block.FULLSCREEN}"> 
+	  {if $block.TRANSPARENT}   <param name="wmode" value="transparent">  {/if}
+	  <param name="allowFullScreen" value="{$block.FULLSCREEN}"> 
 	  <embed {if $block.TRANSPARENT}   wmode="transparent"  {/if}  src="{$block.FLASHNAME}" quality="high" bgcolor="{$block.BGCOLOR}" width="100%" height="{$block.HEIGHT}" flashvars="{$block.FLASHVARXML}={$block.XMLFEED}" align="middle" allowScriptAccess="sameDomain" allowFullScreen="{$block.FULLSCREEN}" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
 	  
Index: extensions/Flash_Gallery/modules/Carousel/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/Carousel/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/Carousel/main.inc.php	(revision 3599)
@@ -6,8 +6,4 @@
 	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
 
-$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'modules/TiltViewer/js');
-$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
-
-
 $module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
 
Index: extensions/Flash_Gallery/modules/FlashGallery/config.php
===================================================================
--- extensions/Flash_Gallery/modules/FlashGallery/config.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/FlashGallery/config.php	(revision 3599)
@@ -1,76 +1,55 @@
 <?php
-//header("Content-Type: application/xml; charset=UTF-8");
 
-//$module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
-// module['ext_datas']  doit etre deja unserialise...
-
-// Parameters for module
+// Parameters XML for module FlashGallery
 
 define('PHPWG_ROOT_PATH','../../../../');
 
 include_once(PHPWG_ROOT_PATH.'include/common.inc.php');
-include_once FLASHGAL_PATH.'include/class.inc.php';
-$home = null;
-$catid =  null ;
-$permalinkcat = null;
 
-if (isset($_GET['home']))
+// recuperation des parametres dans la base (ext_datas)
+$query = '
+SELECT ext_datas
+FROM ' . FLASHGAL_TABLE . '
+WHERE type LIKE "%FlashGallery"'
+. ' LIMIT 1';
+
+$result = pwg_query($query);
+
+// Module non dispo
+if (!($module = mysql_fetch_assoc($result)))
 {
-	$home = true;
-	$page['section'] = 'categories';
-}
-elseif (isset($_GET['catid']))
-{
-	$catid = $_GET['catid'];
-	$page['section'] = 'categories';
-	$page['category']['id'] = $catid;
-}
-elseif (isset($_GET['permalink']))
-{
-	$permalink = $_GET['permalink'];
-	$page['section'] = 'categories';
-	$page['category']['id'] = $permalink;
+	echo '<?xml version="1.0"?>
+	<settings
+	/>';	
 }
 else
 {
-	include(PHPWG_ROOT_PATH.'include/section_init.inc.php');
+	$module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
 
-	$home = (($page['section'] == 'categories') and empty($page['category'])) ? true : null ;
-	$catid = ($page['section'] == 'categories' and 
-				isset($page['category'])) ? $page['category']['id'] : null ;
-	$permalinkcat = empty($page['category']['permalink']) ? null : $page['category']['permalink'];
+	foreach ($module['ext_datas'] as $key => $value)
+	{
+		$module['ext_datas'][$key] = str_replace("#", "", $value);
+	}
+
+	echo '<?xml version="1.0"?>
+
+	<settings
+	thumb_bg_color="'.$module['ext_datas']['thumb_bg_color'].'"
+	thumb_bg_over="'.$module['ext_datas']['thumb_bg_over'].'"
+	scroll_but_bg="'.$module['ext_datas']['scroll_but_bg'].'"
+	scroll_but_arrow="'.$module['ext_datas']['scroll_but_arrow'].'"
+	scroll_but_bg_over="'.$module['ext_datas']['scroll_but_bg_over'].'"
+	scroll_but_arrow_over="'.$module['ext_datas']['scroll_but_arrow_over'].'"
+	big_pic_border="'.$module['ext_datas']['big_pic_border'].'"
+	next_pic_bg="'.$module['ext_datas']['next_pic_bg'].'"
+	next_pic_arrow="'.$module['ext_datas']['next_pic_arrow'].'"
+	next_pic_bg_over="'.$module['ext_datas']['next_pic_bg_over'].'"
+	next_pic_arrow_over="'.$module['ext_datas']['next_pic_arrow_over'].'"
+	background_color="'.$module['ext_datas']['background_color'].'"
+	text_color="'.$module['ext_datas']['text_color'].'"
+
+	text_visible="'.($module['ext_datas']['text_visible'] ? "on" : "off").'"
+	fullscreen_visible="'.($module['ext_datas']['fullscreen_visible'] ? "on" : "off").'"
+	/>';
 }
-
-$flashgal = new flashgal($catid, $home, $permalinkcat);
-$module = $flashgal->module;
-
-
-$module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
-
-foreach ($module['ext_datas'] as $key => $value)
-{
-	$module['ext_datas'][$key] = str_replace("#", "", $value);
-}
-
-echo '<?xml version="1.0"?>
-
-<settings
-thumb_bg_color="'.$module['ext_datas']['thumb_bg_color'].'"
-thumb_bg_over="'.$module['ext_datas']['thumb_bg_over'].'"
-scroll_but_bg="'.$module['ext_datas']['scroll_but_bg'].'"
-scroll_but_arrow="'.$module['ext_datas']['scroll_but_arrow'].'"
-scroll_but_bg_over="'.$module['ext_datas']['scroll_but_bg_over'].'"
-scroll_but_arrow_over="'.$module['ext_datas']['scroll_but_arrow_over'].'"
-big_pic_border="'.$module['ext_datas']['big_pic_border'].'"
-next_pic_bg="'.$module['ext_datas']['next_pic_bg'].'"
-next_pic_arrow="'.$module['ext_datas']['next_pic_arrow'].'"
-next_pic_bg_over="'.$module['ext_datas']['next_pic_bg_over'].'"
-next_pic_arrow_over="'.$module['ext_datas']['next_pic_arrow_over'].'"
-background_color="'.$module['ext_datas']['background_color'].'"
-text_color="'.$module['ext_datas']['text_color'].'"
-
-text_visible="'.($module['ext_datas']['text_visible'] ? "on" : "off").'"
-fullscreen_visible="'.($module['ext_datas']['fullscreen_visible'] ? "on" : "off").'"
-/>';
-
 ?>
Index: extensions/Flash_Gallery/modules/FlashGallery/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/FlashGallery/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/FlashGallery/main.inc.php	(revision 3599)
@@ -10,9 +10,7 @@
 $block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
 
-$block['XMLPARAM']=embellish_url( get_root_url().FLASHGAL_PATH.'modules/FlashGallery/config.php?/'.(isset($permalinkcat) ? 'category/'.$permalinkcat : (isset($catid) ? 'category/' . $catid  : 'categories' )));
+$block['XMLPARAM']=embellish_url( get_root_url().FLASHGAL_PATH.'modules/FlashGallery/config.php');
+unset_make_full_url();
 
-// Ajouter les infos home, catid... pour le xmlparam
-
-unset_make_full_url();
 $module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
 
Index: extensions/Flash_Gallery/modules/FlashGallery/module.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/FlashGallery/module.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/FlashGallery/module.inc.php	(revision 3599)
@@ -19,3 +19,4 @@
 
 $module_data['no_xml_header'] = true; 	// Pas d'entete xml du flux genere
+
 ?>
Index: extensions/Flash_Gallery/modules/FlashPageFlip/FlashPageFlip.tpl
===================================================================
--- extensions/Flash_Gallery/modules/FlashPageFlip/FlashPageFlip.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/FlashPageFlip/FlashPageFlip.tpl	(revision 3599)
@@ -15,5 +15,5 @@
   {if $block.TRANSPARENT}<param name="wmode" value="transparent"); 
   {/if}
-  <embed {if $block.TRANSPARENT}wmode="transparent" {/if} src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" width="100%" height="{$block.HEIGHT}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" allowFullScreen="{$block.FULLSCREEN}" allowScriptAccess="sameDomain"></embed>
+  <embed {if $block.TRANSPARENT}wmode="transparent" {/if} src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" width="100%" height="{$block.HEIGHT}" bgcolor="{$block.BGCOLOR}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" allowFullScreen="{$block.FULLSCREEN}" allowScriptAccess="sameDomain"></embed>
 </object></noscript>
 
Index: extensions/Flash_Gallery/modules/LeMonde/LeMonde.tpl
===================================================================
--- extensions/Flash_Gallery/modules/LeMonde/LeMonde.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/LeMonde/LeMonde.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="polaroid_block">
+<div class="LeMonde_block">
 <OBJECT  classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
          WIDTH="100%" HEIGHT="{$block.HEIGHT}">
@@ -7,5 +7,5 @@
    <PARAM NAME="quality" VALUE="high">
    <PARAM NAME="bgcolor" VALUE="{$block.BGCOLOR}">
-{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
+	{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
    <PARAM NAME="allowFullScreen" VALUE="{$block.FULLSCREEN}"> 
    <EMBED     {if $block.TRANSPARENT}   wmode="transparent"  {/if} 
Index: extensions/Flash_Gallery/modules/PhotoFlowGallery/PhotoFlowGallery.tpl
===================================================================
--- extensions/Flash_Gallery/modules/PhotoFlowGallery/PhotoFlowGallery.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/PhotoFlowGallery/PhotoFlowGallery.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="ZenGallery_block">
+<div class="PhotoFlowGallery_block">
 	<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" width="100%" height="{$block.HEIGHT}" id="gal" align="middle">
 	<param name="allowScriptAccess" value="sameDomain" />
Index: extensions/Flash_Gallery/modules/PhotoFlowGallery/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/PhotoFlowGallery/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/PhotoFlowGallery/main.inc.php	(revision 3599)
@@ -5,7 +5,4 @@
 if (!url_is_remote($block['FLASHNAME']))
 	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
-
-$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'modules/TiltViewer/js');
-$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
 
 
Index: extensions/Flash_Gallery/modules/PhotoStack2/PhotoStack2.tpl
===================================================================
--- extensions/Flash_Gallery/modules/PhotoStack2/PhotoStack2.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/PhotoStack2/PhotoStack2.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div id="postcard_block">
+<div id="Photostack2_block">
 
 	<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0" width="100%" height="{$block.HEIGHT}">
@@ -5,7 +5,7 @@
 		<param name="quality" value="high" />
 		<PARAM NAME="bgcolor" VALUE="{$block.BGCOLOR}">
-{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
+		{if $block.TRANSPARENT}   <PARAM NAME="wmode" VALUE="transparent">  {/if}
 		<PARAM NAME="allowFullScreen" VALUE="{$block.FULLSCREEN}"> 
-		<embed {if $block.TRANSPARENT}   wmode="transparent"  {/if}  src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="100%" height="{$block.HEIGHT}" allowFullScreen="{$block.FULLSCREEN}">
+		<embed {if $block.TRANSPARENT}   wmode="transparent"  {/if}  src="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="100%" height="{$block.HEIGHT}" bgcolor="{$block.BGCOLOR}" allowFullScreen="{$block.FULLSCREEN}">
 		</embed>
 	</object>
Index: extensions/Flash_Gallery/modules/PostCardViewer/PostCardViewer.tpl
===================================================================
--- extensions/Flash_Gallery/modules/PostCardViewer/PostCardViewer.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/PostCardViewer/PostCardViewer.tpl	(revision 3599)
@@ -7,5 +7,5 @@
 	
 
-		var fo = new SWFObject("{$block.FLASHNAME}", "viewer", "100%", "{$block.HEIGHT}", "8", "#181818");		
+		var fo = new SWFObject("{$block.FLASHNAME}", "viewer", "100%", "{$block.HEIGHT}", "8", "{$block.BGCOLOR}");		
 														
 		// XML GALLERY OPTIONS
@@ -13,4 +13,5 @@
 		fo.addVariable("langOpenImage", "{$block.langOpenImage}");
 		fo.addVariable("langAbout", "{$block.langAbout}");
+		fo.addParam("bgcolor", "{$block.BGCOLOR}");
 
 		fo.addParam("allowFullScreen","{$block.FULLSCREEN}");
Index: extensions/Flash_Gallery/modules/StackGallery/StackGallery.tpl
===================================================================
--- extensions/Flash_Gallery/modules/StackGallery/StackGallery.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/StackGallery/StackGallery.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="ZenGallery_block">
+<div class="StackGallery_block">
 	<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" width="100%" height="{$block.HEIGHT}" id="gal" align="middle">
 	<param name="allowScriptAccess" value="sameDomain" />
Index: extensions/Flash_Gallery/modules/ZenGallery/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/ZenGallery/main.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/ZenGallery/main.inc.php	(revision 3599)
@@ -6,7 +6,4 @@
 	$block['FLASHNAME'] = embellish_url(get_root_url().$block['FLASHNAME']);
 
-$full_url = embellish_url( get_root_url().FLASHGAL_PATH.'modules/TiltViewer/js');
-$block['SCRIPT'] = '<script type="text/javascript" src="'.$full_url.'/swfobject.js"></script>';
-
 
 $module['ext_datas'] = (!empty($module['ext_datas']) ? unserialize($module['ext_datas']) : array(''));
Index: extensions/Flash_Gallery/modules/_Exemple/_Exemple.tpl
===================================================================
--- extensions/Flash_Gallery/modules/_Exemple/_Exemple.tpl	(revision 3599)
+++ extensions/Flash_Gallery/modules/_Exemple/_Exemple.tpl	(revision 3599)
@@ -0,0 +1,4 @@
+<div class="polaroid_block">
+	<object type="application/x-shockwave-flash" data="{$block.FLASHNAME}?{$block.FLASHVARXML}={$block.XMLFEED}" width="100%" height="{$block.HEIGHT}">
+	<param name="movie" value="{$block.FLASHVARXML}={$block.XMLFEED}" />
+</div>
Index: extensions/Flash_Gallery/modules/_Exemple/admin/config.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/_Exemple/admin/config.inc.php	(revision 3531)
+++ extensions/Flash_Gallery/modules/_Exemple/admin/config.inc.php	(revision 3599)
@@ -1,111 +1,9 @@
 <?php
 
-// extended parameters for 
-// simpleviewer module
-
-/*
-Option Name  	Default Value  	Description
-maxImageWidth 	480 	Width of the widest image in the gallery. Used to determine the best layout for your gallery (pixels).
-maxImageHeight 	480 	Height of tallest image in the gallery. Used to determine the best layout for your gallery (pixels).
-textColor 	0xFFFFFF 	Color of title and caption text (hexidecimal color value).
-frameColor 	0xFFFFFF 	Color of image frame, navigation buttons and thumbnail frame (hexidecimal color value).
-frameWidth 	20 	Width of image frame (pixels).
-stagePadding 	40 	Width of padding around gallery edge (pixels). To have the image flush to the edge of the swf, set this to 0.
-navPadding 	40 	Distance between image and thumbnails (pixels).
-thumbnailColumns 	3 	Number of thumbnail columns. To disable thumbnails completely set this value to 0
-thumbnailRows 	3 	Number of thumbnail rows. To disable thumbnails completely set this value to 0.
-navPosition 	left 	Position of thumbnails relative to image. Can be "top", "bottom","left" or "right".
-vAlign 	center 	Vertical placment of the image and thumbnails within the SWF. Can be "center", "top" or "bottom".
-				For large format galleries this is best set to "center". For small format galleries setting this to "top" or "bottom" can help get the image flush to the edge of the swf.
-hAlign 	center 	Horizontal placement of the image and thumbnails within the SWF. Can be "center", "left" or "right".
-				For large format galleries this is best set to "center". For small format galleries setting this to "left" or "right" can help get the image flush to the edge of the swf.
-title 	SimpleViewer Gallery 	Text to display as gallery Title
-enableRightClickOpen 	true 	Whether to display a 'Open In new Window...' dialog when right-clicking on an image. Can be "true" or "false"
-backgroundImagePath 	  	Relative or absolute path to a JPG or SWF to load as the gallery background.
-				Relative paths are relative to the HTML document that contains SimpleViewer. For example: "images/bkgnd.jpg".
-*/
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-$navPosition = array( l10n('SV_top'), l10n('SV_bottom'), l10n('SV_left'), l10n('SV_rigt'));
-$vAlign = array( l10n('SV_top'), l10n('SV_center'), l10n('SV_bottom'));
-$hAlign = array( l10n('SV_left'), l10n('SV_center'), l10n('SV_rigt'));
-
 // default values
-if (!isset($ext_datas)) $ext_datas = array(
-		'maxImageWidth'			=> "480", 
-		'maxImageHeight'		=> "480" ,
-		'textColor'				=> "0xFFFFFF" ,
-		'frameColor'			=> "0xFFFFFF" ,
-		'frameWidth'			=> "20" ,
-		'stagePadding'			=> "40" ,
-		'navPadding'			=> "40" ,
-		'thumbnailColumns'		=> "3" ,
-		'thumbnailRows'			=> "3" ,
-		'navPosition'			=> 3, //"left" ,
-		'vAlign'				=> 2, //"center" ,
-		'hAlign'				=> 2, //"center" ,
-		'title'					=> "SimpleViewer Gallery" ,
-		'enableRightClickOpen'	=> true ,
-		'backgroundImagePath'	=> "" );
-
-
-// Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
-{
-
-	foreach ($ext_datas as $key =>$value)
-	{
-		if ($key == "enableRightClickOpen")
-			$ext_datas[$key] = isset($_POST['SV_'.$key]);
-		else
-			$ext_datas[$key] = $_POST['SV_'.$key];
-	}
-}
-
-foreach ($ext_datas as $key => $value)
-{
-
-	if ($key == "enableRightClickOpen")
-		$template->assign(array( 'SV_'.$key => (isset($ext_datas[$key]) ? 'checked="checked"': '')));
-	elseif ($key == "navPosition")
-	{
-		$i=1;
-		foreach ( $navPosition as $order ) //on parcours le tableau 
-		{
-			$template->append('SV_NavPosition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['navPosition'] == $i ? 'selected' : '')));
-			$i++;	
-		}
-	}
-	elseif ($key == "vAlign")
-	{
-		$i=1;
-		foreach ( $vAlign as $order ) //on parcours le tableau 
-		{
-			$template->append('SV_vAlign',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['vAlign'] == $i ? 'selected' : '')));
-			$i++;	
-		}
-	}
-	elseif ($key == "hAlign")
-	{
-		$i=1;
-		foreach ( $hAlign as $order ) //on parcours le tableau 
-		{
-			$template->append('SV_hAlign',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['hAlign'] == $i ? 'selected' : '')));
-			$i++;	
-		}
-	}
-	else
-		$template->assign(array( 'SV_'.$key => $ext_datas[$key]));
-
-}
-/*
-$template->append('head_elements','
-			<script type="text/javascript" src="'.PHPWG_PLUGINS_PATH.'AddThis/farbtastic/farbtastic.js"></script>
-			<link href="'.PHPWG_PLUGINS_PATH.'AddThis/farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />');
-*/
-$template->assign(array('OTHERS_SCRIPT' =>
-			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
-			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));
+if (!isset($ext_datas)) $ext_datas = array();
 
 $template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
Index: extensions/Flash_Gallery/modules/_Exemple/admin/config.tpl
===================================================================
--- extensions/Flash_Gallery/modules/_Exemple/admin/config.tpl	(revision 3531)
+++ extensions/Flash_Gallery/modules/_Exemple/admin/config.tpl	(revision 3599)
@@ -1,105 +1,3 @@
-<br>
-<div id="colorpicker" style="float: right;"></div>	
-<table>
-
-	<tr>
-		<td colspan="3" align="left"><label>{'SV_options_label'|@translate}</label>
-		</td>
-	</tr>
-	<tr>
-		<td>{'SV_maxImageWidth'|@translate}</td>
-		<td colspan="2"><input type="text" size="3" maxlength="3" name="SV_maxImageWidth" value="{$SV_maxImageWidth}" />&nbsp;px</td>
-	</tr>
-	<tr>
-		<td>{'SV_maxImageHeight'|@translate}</td>
-		<td colspan="2"><input type="text" size="3" maxlength="3" name="SV_maxImageHeight" value="{$SV_maxImageHeight}" />&nbsp;px</td>
-	</tr>
-	<tr>
-		<td>{'SV_textColor'|@translate}</td>
-		<td colspan="2"><input type="text" size="7" maxlength="7" name="SV_textColor" class="colorwell" value="{$SV_textColor}" /></td>
-	</tr>
-	<tr>
-		<td>{'SV_frameColor'|@translate}</td>			
-		<td colspan="2"><input type="text" size="7" maxlength="7" name="SV_frameColor" class="colorwell" value="{$SV_frameColor}" /></td>
-	</tr>
-	<tr>
-		<td>{'SV_frameWidth'|@translate}</td>
-		<td colspan="2"><input type="text" size="2" maxlength="2" name="SV_frameWidth" value="{$SV_frameWidth}" />&nbsp;px</td>
-	</tr>
-	<tr>
-		<td>{'SV_stagePadding'|@translate}</td>
-		<td colspan="2"><input type="text" size="2" maxlength="2" name="SV_stagePadding" value="{$SV_stagePadding}" />&nbsp;px</td>
-	</tr>
-	<tr>
-		<td>{'SV_navPadding'|@translate}</td>
-		<td colspan="2"><input type="text" size="2" maxlength="2" name="SV_navPadding" value="{$SV_navPadding}" />&nbsp;px</td>
-	</tr>
-	<tr>
-			<td>&nbsp;</td>
-			<td>{'SV_thumbnailColumns'|@translate}</label></td>
-			<td>{'SV_thumbnailRows'|@translate}</td>
-	</tr>
-	<tr>
-		<td>{'SV_thumbnail'|@translate}</td>
-		<td><input type="text" size="2" maxlength="2" name="SV_thumbnailColumns" value="{$SV_thumbnailColumns}" /></td>
-		<td><input type="text" size="2" maxlength="2" name="SV_thumbnailRows" value="{$SV_thumbnailRows}" /></td>
-	</tr>
-
-	<tr>
-		<td>{'SV_NavPosition'|@translate}</td>
-		<td colspan="2">
-			<select id="SV_NavPosition" name="SV_NavPosition">
-			{foreach from=$SV_NavPosition item=SV_NavPosition}
-				<option value="{$SV_NavPosition.ID}" {$SV_NavPosition.SELECTED}>{$SV_NavPosition.NAME}</option>
-			{/foreach}
-			</select>
-		</td>
-	</tr>
-		<td>{'SV_vAlign'|@translate}</td>
-		<td colspan="2">
-			<select id="SV_vAlign" name="SV_vAlign">
-			{foreach from=$SV_vAlign item=SV_vAlign}
-				<option value="{$SV_vAlign.ID}" {$SV_vAlign.SELECTED}>{$SV_vAlign.NAME}</option>
-			{/foreach}
-			</select>
-		</td>
-	</tr>
-	</tr>
-		<td>{'SV_hAlign'|@translate}</td>
-		<td colspan="2">
-			<select id="SV_hAlign" name="SV_hAlign">
-			{foreach from=$SV_hAlign item=SV_hAlign}
-				<option value="{$SV_hAlign.ID}" {$SV_hAlign.SELECTED}>{$SV_hAlign.NAME}</option>
-			{/foreach}
-			</select>
-		</td>
-	</tr>
-	
-	<tr>
-		<td>{'SV_title'|@translate}</td>
-		<td colspan="2"><input type="text" size="30" maxlength="30" name="SV_title" value="{$SV_title}" /></td>
-	</tr>
-	
-	<tr>
-		<td>{'SV_enableRightClickOpen'|@translate}</td>
-		<td colspan="2"><input type="checkbox" name="SV_enableRightClickOpen" {$SV_enableRightClickOpen}/></td>
-	</tr>
-	
-</table>
-
-{literal}
-
-<script type="text/javascript" charset="utf-8">
- $(document).ready(function() {
-     var f = $.farbtastic('#colorpicker');
-     var selected;
-     $('.colorwell')
-       .each(function () { f.linkTo(this);  })
-       .focus(function() {
-       	f.linkTo(this);
-
-       });
-  });
-</script>
-{/literal}
-	
+<div style="text-align:center;">
+<br>{'flashgal_no_options'|@translate}
+</div>
Index: extensions/Flash_Gallery/modules/prometeus/admin/config.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/admin/config.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/admin/config.inc.php	(revision 3599)
@@ -0,0 +1,12 @@
+<?php
+
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+// default values
+if (!isset($ext_datas)) $ext_datas = array();
+
+$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
+$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');
+
+?>
Index: extensions/Flash_Gallery/modules/prometeus/admin/config.tpl
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/admin/config.tpl	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/admin/config.tpl	(revision 3599)
@@ -0,0 +1,3 @@
+<div style="text-align:center;">
+<br>{'flashgal_no_options'|@translate}
+</div>
Index: extensions/Flash_Gallery/modules/prometeus/js/prometeus.js
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/js/prometeus.js	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/js/prometeus.js	(revision 3599)
@@ -0,0 +1,179 @@
+// ==================================================
+// script realized by Gérard Ferrandez - June 2006
+// http://www.dhteumeuleu.com
+// ==================================================
+
+id = function(o) { return document.getElementById(o); }
+px = function (x) {	return ''.concat(Math.round(x), 'px'); }
+
+//////////////////////////////////////////////////////////////////////////////
+function resize() {	gf.resize(); }
+onresize = resize;
+
+document.onmousemove = function(e)
+{
+	if(window.event) e=window.event;
+	gf.xm = (e.x || e.clientX) - gf.nx - gf.nw * .5;
+	gf.ym = (e.y || e.clientY) - gf.ny - gf.nh * .5;
+}
+
+//////////////////////////////////////////////////////////////////////////////
+var gf = {
+	O    : [],
+	cont : 0,
+	N    : 0,
+	S    : 0,
+	img  : 0,
+	spa  : 0,
+	xm   : 0,
+	ym   : 0,
+	nx   : 0,
+	ny   : 0,
+	nw   : 0,
+	nh   : 0,
+	cx   : 0,
+	cy   : 0,
+	zoom : 1,
+	x    : 0,
+	y    : 0,
+	z    : -40000,
+	xt   : 0,
+	yt   : 0,
+	zt   : 0,
+//////////////////////////////////////////////////////////////////////////////
+	resize : function ()
+	{
+		var o   = id('canvas');
+		gf.nx   = o.offsetLeft;
+		gf.ny   = o.offsetTop;
+		gf.nw   = o.offsetWidth;
+		gf.nh   = o.offsetHeight;
+		gf.zoom = gf.nh / 700;
+	},
+
+	CObj : function (n)
+	{
+		this.n                = n;
+		this.x                = gf.zoom * Math.random() * gf.nw * 2 - gf.nw;
+		this.y                = gf.zoom * Math.random() * gf.nh * 2 - gf.nh;
+		this.z                = Math.round(n * (10000 / gf.N));
+		this.w                = gf.img[n].width;
+		this.h                = gf.img[n].height;
+		this.oxt              = gf.spa[n];
+		this.oxs              = this.oxt.style;
+		this.txt              = gf.spa[n].innerHTML;
+		this.oxt.innerHTML    = "";
+		this.obj              = gf.img[n];
+		this.obs              = this.obj.style;
+		this.obj.parent       = this;
+		this.obj.onclick      = function() { this.parent.click(); }
+		this.obj.ondrag       = function() { return false; }
+		this.oxt.style.zIndex = this.obj.style.zIndex = Math.round(1000000 - this.z);
+		this.F                = false;
+		this.CF               = 100;
+		this.sto              = [];
+
+		this.anim = function()
+		{
+			var f = 700 + this.z - gf.z;
+			if (f > 0)
+			{
+				var d               = 1000 / f;
+				var X               = gf.nw * .5 + ((this.x - gf.x - gf.cx) * d);
+				var Y               = gf.nh * .5 + ((this.y - gf.y - gf.cy) * d);
+				var W               = d * this.w * gf.zoom;
+				var H               = d * this.h * gf.zoom;
+				this.obs.left       = px(X - W * .5);
+				this.obs.top        = px(Y - H * .5);
+				this.obs.width      = px(W);
+				this.obs.height     = px(H);
+				this.oxs.visibility = (this.CF-- > 0 && Math.random() > .9) ? "hidden" : "visible";
+				this.oxs.left       = px(X - W * .5);
+				this.oxs.top        = px(Y + H * .5);
+				if((gf.zt - gf.z) < 20)
+				{
+					if(!this.F)
+					{
+						this.F            = true;
+						this.CF           = Math.random() * 200;
+						this.oxs.fontSize = px(1 + d * 20 * gf.zoom);
+						var T             = "";
+						var tn            = this.txt.length;
+						for(var i = 0; i < tn; i++)
+						{
+							T = T.concat(this.txt.charAt(i));
+							this.sto[i] = setTimeout('gf.O['.concat(n, '].oxt.innerHTML = "', T.concat(" "), '";'), Math.round(f / 4) + 32 * i);
+						}
+					}
+				}
+				else
+				{
+					this.F = false;
+					this.oxt.innerHTML = "";
+				}
+			}
+			else
+			{
+				this.x  = gf.zoom * Math.random() * gf.nw * 2 - gf.nw;
+				this.y  = gf.zoom * Math.random() * gf.nh * 2 - gf.nh;
+				this.z += 10000;
+				this.oxs.zIndex = this.obs.zIndex = Math.round(1000000 - this.z);
+			}
+		}
+
+		this.cto = function()
+		{
+			var i = this.txt.length;
+			while (i--) clearTimeout(this.sto[i]);
+		}
+
+		this.click = function()
+		{
+			var i = gf.N;
+			while (i--) gf.O[i].cto();
+			if(gf.S != this)
+			{
+				gf.xt = this.x;
+				gf.yt = this.y;
+				gf.zt = this.z;
+				gf.S  = this;
+			}
+			else
+			{
+				gf.S   = 0;
+				gf.zt += 1600;
+			}
+		}
+	},
+
+	init : function ()
+	{
+		gf.cx   = gf.nw / 2;
+		gf.cy   = gf.nh / 2;
+		gf.cont = id("canvas");
+		gf.img  = id("canvas").getElementsByTagName("img");
+		gf.spa  = id("canvas").getElementsByTagName("span");
+		gf.N    = gf.img.length;
+		for (var i = 0; i < gf.N; i++) gf.O[i] = new gf.CObj(i);
+		gf.run();
+		gf.O[0].click();
+	},
+
+	run : function ()
+	{
+		gf.cx += (gf.xm - gf.cx) * .1;
+		gf.cy += (gf.ym - gf.cy) * .1;
+		gf.x  += (gf.xt - gf.x)  * .05;
+		gf.y  += (gf.yt - gf.y)  * .05;
+		gf.z  += (gf.zt - gf.z)  * .05;
+		var i = gf.N;
+		while (i--) gf.O[i].anim();
+		setTimeout(gf.run, 16);
+	}
+}
+
+onload = function() {
+	resize();
+	gf.init();
+}
+
Index: extensions/Flash_Gallery/modules/prometeus/language/fr_FR/index.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/language/fr_FR/index.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/language/fr_FR/index.php	(revision 3599)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Flash_Gallery/modules/prometeus/language/fr_FR/module.lang.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/language/fr_FR/module.lang.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/language/fr_FR/module.lang.php	(revision 3599)
@@ -0,0 +1,15 @@
+<?php
+
+
+//------------------------------------------------------------------------------
+//							Module language
+//------------------------------------------------------------------------------
+
+$lang['module_name_prometeus'] = 'Galerie Prometeus';
+$lang['module_desc_prometeus'] = 'Affiche la galerie avec <a href="http://www.dhteumeuleu.com" target="_blank" class="screenshot" rel="%s" Title="Prometeus">Prometeus</a> (Javascript non Flash)';
+
+$lang['prometeus_options_label'] 	= '<b>Options du module Prometeus</b>';
+
+
+
+?>
Index: extensions/Flash_Gallery/modules/prometeus/main.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/main.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/main.inc.php	(revision 3599)
@@ -0,0 +1,209 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $user, $conf, $template;
+
+
+if (isset($home))
+{
+	$page['section'] = 'categories';
+}
+elseif (isset($catid))
+{
+	$page['section'] = 'categories';
+	$page['category']['id'] = $catid;
+}
+elseif (isset($permalink))
+{
+	$page['section'] = 'categories';
+	$page['category']['id'] = $permalink;
+}
+
+// Vérification d'activation du plugin (page administration) OU activation de piclensWall
+if (isset($page['section']))
+{
+	$cat = array();
+	$pictures = array();
+
+	$forbidden = get_sql_condition_FandF(
+		  array
+			(
+			  'forbidden_categories' => 'category_id',
+			  'visible_categories' => 'category_id',
+			  'visible_images' => 'id'
+			),
+		  'AND'
+	  );
+
+	if (($page['section']) == 'categories')
+	{
+			// Accueil
+		if(empty($page['category']) and $module['on_home']) 
+		{
+			// Page accueil
+			// actif sur page accueil
+
+			// Categories de premier niveau 
+			$query = 'SELECT id,name,permalink FROM ' . CATEGORIES_TABLE
+			.' WHERE id_uppercat is NULL';
+			
+			$result = pwg_query($query);
+
+			while ($row = mysql_fetch_assoc($result))
+			{
+				if (!(in_array($row['id'], explode(',', $user['forbidden_categories']))))
+				{
+							array_push($cat, $row['id']);
+						
+				}
+			}
+			
+			// Affichage sur l'accueil uniquement des categories selectionnees
+			if ($module['on_home_global'] == 'selective')
+			{
+				$cats_selected = $module['cats'];//(!empty($module['cats']) ? unserialize($module['cats']) : array());
+			
+				foreach($cat as $i => $wcat)
+				{
+					if (!in_array($wcat, $cats_selected))
+						unset($cat[$i]);
+				}
+			}
+			// avec recursiite 
+			elseif ($module['recurs_cats'] == 'true')
+			{
+				// recuperation des sous-categories (tous niveaux) de la categorie en cours.
+				$subcat= get_subcat_ids($cat);
+	
+				// Verification droits des sous-categories
+				foreach($subcat as $sscat)
+				{
+					if (!(in_array($sscat, explode(',', $user['forbidden_categories']))))
+							array_push($cat, $sscat);
+				}
+			}
+
+			$query = 'SELECT DISTINCT(img.id) AS IMGID, img.file AS IMGFILE, 
+					  img.tn_ext, img.path, img.has_high, 
+                      img.width AS IMGWIDTH, img.height AS IMGHEIGHT, 
+					  img.name AS IMGNAME, img.comment AS IMGDESC,
+					  img.author AS IMGAUTHOR, img.path AS IMGPATH, 
+					  cat.id AS CATID, cat.name AS CATNAME,
+					  cat.comment AS CATDESC, cat.dir AS CATDIR'
+			.' FROM ' . IMAGES_TABLE.' AS img'
+			.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
+			.' INNER JOIN '.CATEGORIES_TABLE.' AS cat ON ic.category_id = cat.id'
+			.' WHERE ic.category_id IN ('.implode(',', $cat).')'
+			// Verif droits (niveaux) de l'utilisateur sur les images 
+			.' AND img.level <='.$user['level'].' '
+			// Choix du critere de tri d'affichage
+			.(isset($module_data['Order']) ? 	$module_data['Order'] :
+											str_replace(' id', ' IMGID', $conf['order_by_inside_category']))
+			.'';
+				
+		}
+			
+		// Page category et actif sur categories
+		elseif (isset($page['category']) and $module['on_cats'])
+		{
+			check_restrictions($page['category']['id']);
+	
+			//  recherche de toutes les photos de la categorie (incluant les photos des sous-categories si necessaire)
+			$selectionID = $page['category']['id'];
+
+
+			array_push($cat, $selectionID);
+
+
+			// Si recursivite activee 
+			if ($module['recurs_cats'] == 'true')
+			{
+				// recuperation des sous-categories (tous niveaux) de la categorie en cours.
+				$subcat= get_subcat_ids(array($selectionID));
+
+				// Verification droits des sous-categories
+				foreach($subcat as $sscat)
+				{
+					if (!(in_array($sscat, explode(',', $user['forbidden_categories']))))
+						array_push($cat, $sscat);
+				}
+			
+			}
+					
+			$query = 'SELECT DISTINCT(img.id) AS IMGID, img.file AS IMGFILE, 
+					  img.tn_ext, img.path, img.has_high, 
+                      img.width AS IMGWIDTH, img.height AS IMGHEIGHT, 
+					  img.name AS IMGNAME, img.comment AS IMGDESC,
+					  img.author AS IMGAUTHOR, img.path AS IMGPATH, 
+					  cat.id AS CATID, cat.name AS CATNAME,
+					  cat.comment AS CATDESC, cat.dir AS CATDIR'
+			.' FROM ' . IMAGES_TABLE.' AS img'
+			.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
+			.' INNER JOIN '.CATEGORIES_TABLE.' AS cat ON ic.category_id = cat.id'
+			.' WHERE ic.category_id IN ('.implode(',', $cat).')'
+			// Verif droits (niveaux) de l'utilisateur sur les images 
+			.' AND img.level <='.$user['level'].' '
+			// Choix du critere de tri d'affichage
+			.(isset($module_data['Order']) ? 	$module_data['Order'] :
+											str_replace(' id', ' IMGID', $conf['order_by_inside_category']))
+			.'';
+
+		}
+	}
+		
+
+	$flashgal_extdesc_hidden = '<!--hidden-->';	
+		// Si au moins une image récupérée (une catégorie ou une image présente)
+	if (count($cat)!=0)
+	{
+		$result = pwg_query($query);
+		while ($row = mysql_fetch_assoc($result))
+		{
+			// Prise en compte images et galeries en hidden
+			if (   !(substr_count($row['IMGNAME'],  $flashgal_extdesc_hidden)) 
+				&& ((isset($row['CATNAME']) ? !(substr_count($row['CATNAME'],  $flashgal_extdesc_hidden)) : true))
+				)
+		
+			array_push($pictures, $row);
+		}
+	}	
+	
+	// Fin requetes recherches photos dans $pictures
+	$module['datas'] = (!empty($module['datas']) ? unserialize($module['datas']) : array(''));
+
+	foreach ($pictures as $row)
+	{
+
+	
+		foreach ($module_data['datas'] as $keydata => $valuedata)
+		{
+			if ($valuedata)
+{
+			include (FLASHGAL_PATH.'include/config_param.inc.php');
+
+			$patterns = array();
+			$replacements = array();
+			foreach ($flashgal_parse as $key => $value)
+			{
+				array_push($patterns, $key); 
+				array_push($replacements, $value);
+			}
+
+//			echo "module".$module['datas'][$keydata];
+			$picture[$keydata] = str_replace($patterns, $replacements, $module['datas'][$keydata]);
+//				$picture[$keydata] =  parse($module['datas'][$keydata], $row);
+}
+			else
+				$picture[$keydata] = '';
+		}
+		$template->append('ImageNode',array('url' => $picture['img_URLNormal'],'name' => $picture['img_name']));
+
+	}
+
+$template->assign(array('OTHERS_SCRIPT' =>
+			'<script type="text/javascript" src="'.FLASHGAL_PATH.'modules/prometeus/js/prometeus.js"></script>'));
+	
+	
+}
+?>
Index: extensions/Flash_Gallery/modules/prometeus/module.inc.php
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/module.inc.php	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/module.inc.php	(revision 3599)
@@ -0,0 +1,21 @@
+<?php
+// Fichier contenant les parametres du module
+$module_data = array();
+
+// Parametres generaux du module : nom et parametre du fichier xml
+$module_data['FlashName'] = "BananAlbum.swf";
+$module_data['FlashvarXML'] = "xmlfile";
+
+// Parametre d'affichage des donnees (les donnees peuvent etre utilisees dans le fichier imageNode.xml.php)
+
+$module_data['datas'] = array();
+$module_data['datas']['img_id'] = false;
+$module_data['datas']['img_name'] = "%I2";
+$module_data['datas']['img_description'] = false;
+$module_data['datas']['img_URLThumb'] = false;
+$module_data['datas']['img_URLNormal'] = "%I6";
+$module_data['datas']['img_URLHigh'] = false;
+$module_data['datas']['img_URLPicturephp'] = false;
+
+
+?>
Index: extensions/Flash_Gallery/modules/prometeus/prometeus.tpl
===================================================================
--- extensions/Flash_Gallery/modules/prometeus/prometeus.tpl	(revision 3599)
+++ extensions/Flash_Gallery/modules/prometeus/prometeus.tpl	(revision 3599)
@@ -0,0 +1,57 @@
+{html_head}
+
+{literal}
+<meta http-equiv="imagetoolbar" content="no">
+<style type="text/css">
+	#canvas {
+		position:absolute;
+		width: 100%;
+		height: {/literal}{$block.HEIGHT}{literal}px;
+		background: {/literal}{$block.BGCOLOR}{literal};
+		overflow: hidden;
+	}
+	#canvas img {
+		position: absolute;
+		background: #000;
+		overflow: hidden;
+		cursor: pointer;
+		left: 100%;
+		border-color: #000;
+		border-style: solid;
+		border-width: 1px;
+		-ms-interpolation-mode:nearest-neighbor;
+	}
+	#canvas span {
+		position: absolute;
+		color: #FFFFFF;
+		font-family: Arial, Helvetica, sans-serif;
+		font-size: 0px;
+		white-space: nowrap;
+		left: -1000px;
+		background: {/literal}{$block.BGCOLOR}{literal};
+		filter: alpha(opacity=90);
+		opacity: 0.9;
+	}
+</style>
+
+{/literal}
+{$OTHERS_SCRIPT}
+{/html_head}
+
+<div class ="prometeus_block" style='height:{$block.HEIGHT}px;'>
+<div id="canvas" >
+
+ {foreach from=$ImageNode item=ImageNode}
+	<img src="{$ImageNode.url}"><span>{$ImageNode.name}</span>
+{/foreach}
+
+</div>
+
+{literal}
+<!-- crossbrowser images_loading_bar - Gerard Ferrandez - www.dhteumeuleu.com - Feb 2005 -->
+<span id="LB0" style="position:absolute;left:50%;top:50%;"><span style="position:absolute;font-family:arial;font-size:10px;color:#ccc;background:#000;left:-50px;top:-18px">Loading...</span><span style="position:absolute;left:-50px;top:-5px;font-size:1px;width:100px;height:10px;background:#333"><span id="LB1" style="position:absolute;font-size:1px;width:0px;height:10px;background:#ccc"></span></span></span>
+<script type="text/javascript">m00=document.getElementById("canvas").getElementsByTagName("img");m01=m00.length;function images_loading_bar(){m02=0;for(i=0;i<m01;i++)m02+=(m00[i].complete)?1:0;document.getElementById("LB1").style.width=Math.round(m02/m01*100)+'px';if(m02==m01)setTimeout("document.getElementById('LB0').style.display='none'",128); else setTimeout("images_loading_bar()", 64);};images_loading_bar();</script>
+<!-- end of images_loading_bar code -->
+</div>
+
+{/literal}
Index: extensions/Flash_Gallery/template/blocks.tpl
===================================================================
--- extensions/Flash_Gallery/template/blocks.tpl	(revision 3531)
+++ extensions/Flash_Gallery/template/blocks.tpl	(revision 3599)
@@ -1,3 +1,3 @@
-<div class="content flash_block">
+<div class="content flashgal_block">
 {foreach from=$blocks item=block key=key}
     <div id="flashgal_block_{$block.ID}">
Index: extensions/Flash_Gallery/template/floPure/blocks.tpl
===================================================================
--- extensions/Flash_Gallery/template/floPure/blocks.tpl	(revision 3599)
+++ extensions/Flash_Gallery/template/floPure/blocks.tpl	(revision 3599)
@@ -0,0 +1,45 @@
+<div class="content stuffs_block">
+  <table id="table_content" border="0" cellspacing="0" cellpadding="0">
+    <tr>
+      <td id="section_up_left">&nbsp;</td>
+      <td id="section_up">&nbsp;</td>
+      <td id="section_up_right">&nbsp;</td>
+    </tr>
+    <tr>
+      <td id="section_left">&nbsp;</td>
+      <td id="section_in">
+{foreach from=$blocks item=block key=key}
+  {if $block.new_line}
+  <div class="content stuffs_block stuffs">
+  {/if}
+    <div id="stuffs_block_{$block.ID}" class="content {$block.CLASS}" {if !empty($block.WIDTH)}style="width: {$block.WIDTH}%;"{/if}>
+    {if isset($block.TITLE)}
+      <div class="titrePage">
+        {if !empty($block.U_EDIT)}
+        <ul class="categoryActions">
+          <li><a href="{$block.U_EDIT}" title="{'edit'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
+        </ul>
+        {/if}
+      {if isset($block.TITLE_URL)}
+      <h2><a href="{$block.TITLE_URL}">{$block.TITLE}</a></h2>
+      {else}
+      <h2>{$block.TITLE}</h2>
+      {/if}
+      </div>
+    {/if}
+    {include file=$block.TEMPLATE}
+    </div>
+  {if $block.end_line}
+  </div>
+  {/if}
+{/foreach}
+      </td>
+	  <td id="section_right">&nbsp;</td>
+    </tr>
+    <tr>
+      <td id="section_bottom_left">&nbsp;</td>
+      <td id="section_bottom" >&nbsp;</td>
+      <td id="section_bottom_right" >&nbsp;</td>
+    </tr>
+  </table>
+</div>
Index: extensions/Flash_Gallery/template/index.css
===================================================================
--- extensions/Flash_Gallery/template/index.css	(revision 3531)
+++ extensions/Flash_Gallery/template/index.css	(revision 3599)
@@ -3,5 +3,5 @@
 }
 
-.stuffs_block {
+.flashgal_block {
   background-color: transparent;
   background-image: none;
@@ -11,6 +11,6 @@
 }
 
-.stuffs {
-  margin: 1em 0;
+.flashgal {
+  margin: 0 0 1em;
   overflow: hidden;
 }
@@ -57,3 +57,3 @@
 
 /* Hack IE6 */
-* html  .stuffs, * html .middle_block { overflow-y: visible; }
+* html  .flashgal, * html .middle_block { overflow-y: visible; }
